Page MenuHomePhabricator

Record navigator.hardwareConcurrency in navtiming
Closed, ResolvedPublic

Description

https://developer.mozilla.org/en-US/docs/Web/API/NavigatorConcurrentHardware/hardwareConcurrency

Another important hardware signal that can be used in addition to deviceMemory to categorise devices.

Event Timeline

Gilles created this task.Dec 2 2019, 9:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2019, 9:34 AM
Gilles renamed this task from Record window.navigator.hardwareConcurrency in natiming to Record window.navigator.hardwareConcurrency in navtiming.Dec 2 2019, 9:34 AM

Change 554029 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Collect navigator.hardwareConcurency

https://gerrit.wikimedia.org/r/554029

Krinkle renamed this task from Record window.navigator.hardwareConcurrency in navtiming to Record navigator.hardwareConcurrency in navtiming.Dec 2 2019, 8:48 PM
Gilles moved this task from Inbox to Doing on the Performance-Team board.Dec 2 2019, 8:49 PM
Gilles triaged this task as Medium priority.Jan 6 2020, 1:18 PM
Gilles reassigned this task from Gilles to Krinkle.Apr 8 2020, 8:49 AM

Assigning this to you @Krinkle as it's currently blocked on your review

Change 554029 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Collect navigator.hardwareConcurency

https://gerrit.wikimedia.org/r/554029

Krinkle reassigned this task from Krinkle to Gilles.Apr 10 2020, 12:45 AM
Krinkle added a subscriber: Krinkle.

Change 587914 had a related patch set uploaded (by Gilles; owner: Gilles):
[analytics/refinery@master] Retain FirstInputTiming and NavigationTiming hardwareConcurrency

https://gerrit.wikimedia.org/r/587914

Change 587914 merged by Gilles:
[analytics/refinery@master] Retain FirstInputTiming and NavigationTiming hardwareConcurrency

https://gerrit.wikimedia.org/r/587914

Gilles closed this task as Resolved.May 4 2020, 11:09 AM